diff -uprN a/pyanaconda/ui/gui/spokes/subscription.py b/pyanaconda/ui/gui/spokes/subscription.py
--- a/pyanaconda/ui/gui/spokes/subscription.py	2020-09-04 11:31:43.743451360 +0300
+++ b/pyanaconda/ui/gui/spokes/subscription.py	2020-09-04 11:33:07.002306508 +0300
@@ -540,6 +540,10 @@ class SubscriptionSpoke(NormalSpoke):
         # also set the spoke warning banner
         self.show_warning_message(error_message)
 
+    @property
+    def showable(self):
+        return False
+
     def initialize(self):
         NormalSpoke.initialize(self)
         self.initialize_start()
